haskore-0.2.0.3: The Haskore Computer Music System

Safe Haskell | Safe-Inferred

Haskore.Interface.CSound

# Documentation

newtype Instrument Source

Constructors

Instrument Int |

Instances

Eq Instrument |
Show Instrument |

instrument :: Int -> Instrument Source

instruments :: [Instrument]Source

instrumentToNumber :: Instrument -> Int Source

showInstrumentNumber :: Instrument -> String Source

type Name = String Source

type Velocity = Float Source

type PField = Float Source

type Time = Float Source